<?php
#BANNER
#ADICIONAR BANNER
			
	 if(isset($_POST['salvar_banner'])) {
	$titulo			=	$_POST['titulo'];
	$ordem			=	$_POST['ordem'];
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).$num.".jpg";
	$destino		=	$arquivo2;
	$destino2		=	"../images/banner/".$arquivo2;	
	$status			=	$_POST['status'];
	$blank			=	$_POST['blank'];
	$url			=	$_POST['url'];
	$tipo			=	$_POST['tipo'];

	
	if(move_uploaded_file($arquivo, $destino2)) {
	$insert	= "INSERT INTO tb_banner (titulo, imagem, ordem, url, tipo, blank, status) VALUES ('$titulo','$destino', '$ordem','$url', $tipo,'$blank', '$status')";
	if($query	= mysql_query($insert)){
	
	echo "<p class='return-form'>Banner inserido.</p>";
		   
	}  else {
		
		echo "<p class='return-form error'> Erro ao adicionar. Informe o erro ao programador: <br />".mysql_error()."</p>";
		
		}} else {
			
			echo "<p class='return-form error'> Erro ao adicionar. Informe o erro ao programador: <br />".mysql_error()."</p>";
			
			}}
		
	#EDITAR BANNER
	if(isset($_POST['editar_banner'])){
		if($_FILES['foto']['name'] === ""){
				
	$cod			=	$_POST['cod'];
	$titulo			=	$_POST['titulo'];
	$ordem			=	$_POST['ordem'];
	$status			=	$_POST['status'];
	$blank			=	$_POST['blank'];
	$url			=	$_POST['url'];
	$tipo			=	$_POST['tipo'];

	$update	= "UPDATE tb_banner SET titulo = '$titulo', ordem = $ordem, tipo = $tipo, url = '$url', blank = '$blank', status = $status WHERE cod = $cod";
	
	
	if($queryupdate	=	mysql_query($update)){
		
echo "<p class='return-form'> Banner editado</p>";
		
		
		} else { 
		echo mysql_error(); 
		
	} 
			
		} else {
	
	$select 			= 	"SELECT * FROM tb_banner";
	$query				=	mysql_query($select);
	$num				=	mysql_num_rows($query);		
			
	$cod			=	$_POST['cod'];
	$titulo			=	$_POST['titulo'];
	$ordem			=	$_POST['ordem'];
	$status			=	$_POST['status'];
	$tipo			=	$_POST['tipo'];
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).$num.".jpg";
	$destino		=	"../images/banner/".$arquivo2;
	$destino2		=	$arquivo2;	
	
	$select2 			= 	"SELECT * FROM tb_banner WHERE cod = $cod";
	$query2				=	mysql_query($select2);
	$sql2				=	mysql_fetch_array($query2);
	$foto			=	"../images/banner/".$sql2['imagem'];
	
	if(unlink($foto)){
	if(move_uploaded_file($arquivo, $destino)) {
	$update	= "UPDATE tb_banner SET titulo = '$titulo', tipo = $tipo, imagem = '$destino2', ordem = $ordem, status = $status WHERE cod = $cod";
	
	if($queryupdate	=	mysql_query($update)){
		
		echo "<p class='return-form'> Banner editado</p>";
		
		
		} else { 
		echo "<p class='return-form error'> Erro ao adicionar. Informe o erro ao programador: <br />".mysql_error()."</p>";
		
	} } } } }

#DELETAR BANNER

if(isset($_GET['del_ban'])) {
$delcod				=	$_GET['del_ban'];
$select 			= "SELECT * FROM tb_banner WHERE cod = $delcod";
$query2	=	mysql_query($select);
$sql	=	mysql_fetch_array($query2);
$foto	=	"../images/banner/".$sql['imagem'];


if(unlink($foto)){} else { echo ""; }
$delcod				=	$_GET['del_ban'];
 $delete 			= "DELETE FROM tb_banner WHERE cod = $delcod";
 $querydel			=  mysql_query($delete) or die(mysql_error());

echo "<p class='return-form'> Banner excluído</p>";
}
?>